ExponentialPower (Colt 1.2.0 - API Specification)
Keywords: cern.jet.random.ExponentialPower class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.jet.random
Class ExponentialPower

    java.lang.Object
      cern.colt.PersistentObject
          cern.jet.random.AbstractDistribution
              cern.jet.random.AbstractContinousDistribution
                  cern.jet.random.ExponentialPower

All Implemented Interfaces:
  Cloneable, DoubleFunction, IntFunction, Serializable

public class ExponentialPower
extends AbstractContinousDistribution

Exponential Power distribution.

Valid parameter ranges: `tau >= 1`.

Instance methods operate on a user supplied uniform random number generator; they are unsynchronized.

Static methods operate on a default uniform random number generator; they are synchronized.

Implementation:

Method: Non-universal rejection method for logconcave densities.
This is a port of `epd.c` from the C-RAND / WIN-RAND library. C-RAND's implementation, in turn, is based upon

L. Devroye (1986): Non-Uniform Random Variate Generation , Springer Verlag, New York.

Version:
  1.0, 09/24/99
See Also:
  Serialized Form

Field Summary

Fields inherited from class cern.colt.PersistentObject
`serialVersionUID`

Constructor Summary
`ExponentialPower(double tau, RandomEngine randomGenerator)` Constructs an Exponential Power distribution.

Method Summary
`double` | `nextDouble()` Returns a random number from the distribution.
`double` | `nextDouble(double tau)` Returns a random number from the distribution; bypasses the internal state.
`void` | `setState(double tau)` Sets the distribution parameter.
`static double` | `staticNextDouble(double tau)` Returns a random number from the distribution.
`String` | `toString()` Returns a String representation of the receiver.

Methods inherited from class cern.jet.random.AbstractDistribution
`apply, apply, clone, makeDefaultGenerator, nextInt`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExponentialPower

    public ExponentialPower(double tau,
                            RandomEngine randomGenerator)

  Constructs an Exponential Power distribution. Example: tau=1.0.

Throws:
  `IllegalArgumentException` - if `tau < 1.0`.

Method Detail

### nextDouble

    public double nextDouble()

  Returns a random number from the distribution.

  Specified by:
    `nextDouble` in class `AbstractDistribution`

### nextDouble

    public double nextDouble(double tau)

  Returns a random number from the distribution; bypasses the internal state.

  Throws:
    `IllegalArgumentException` - if `tau < 1.0`.

### setState

    public void setState(double tau)

  Sets the distribution parameter.

  Throws:
    `IllegalArgumentException` - if `tau < 1.0`.

### staticNextDouble

    public static double staticNextDouble(double tau)

  Returns a random number from the distribution.

  Throws:
    `IllegalArgumentException` - if `tau < 1.0`.

### toString

    public String toString()

  Returns a String representation of the receiver.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage